echo off
cls
echo ######################################################################
echo #   autorunconnect script for ITC devices (7xx except 73x)           #
echo #   will get Model Code, Serial Number and MAC address of a device   #
echo #   creates a database.txt file with data of the devices             #
echo ######################################################################
c:
cd \OnConnect

rem use database.txt template file, if no database.txt exists
if EXIST DataBase.txt goto OldDatabase
echo "Creating new database"
copy DataBase.tmpl DataBase.txt

:OldDatabase
echo "Using old database"
echo "auto calibrating device..."
pput -f NoWelcome.exe \NoWelcome.exe
prun \NoWelcome.exe

echo "checking if already processed device..."
REM check if already processed
REM delete the local check file
del OnConnect.done >NUL
rem create a new local bak file
echo onconnect >OnConnect.bak

REM try to load the checkfile from device
pget \OnConnect.done >NUL

REM the database will be filled once 
if exist OnConnect.done (
goto OldDevice 
) else (
echo "This device has already been processed"
goto NewDevice
)

:NewDevice
:NoCalib
echo "...NoCalib.."
REM put device in database
echo. >>database.txt
echo "building a new database entry..."
rem Copy DumpMac util to device
pput -f DumpMac.exe \DumpMac.exe
rem start DumpMac util on device
prun \DumpMac.exe
rem delete local file
del DumpMac.txt >NUL
rem download DumpMac.txt from device
pget \DumpMac.txt
rem copy DumpMac.txt at end of database.txt
type dumpmac.txt >>database.txt
rem put flag file on device to avoid duplicate processing
pput OnConnect.bak \OnConnect.done

:OldDevice
REM uncomment, if you like to get a list of installed apps
REM pregutl HKEY_LOCAL_MACHINE\SOFTWARE\Apps >>database.txt
REM psynctime will be executed always
echo "syncing time..."
psynctime
echo on
rem pause DEBUG

:EXIT
rem close this
exit
